import { NotificationContainerPosition } from "../components/x-notification/component";
/**
 * Generate a UUID string with optional prefix
 *
 * @param concat
 * @returns
 */
export declare function getId(concat?: string): string;
/**
 * Check if object is empty
 *
 * @param obj
 * @returns
 */
export declare function isEmpty(obj: any): boolean;
/**
 * Filter Express Markdown text style and render to HTML string
 *
 * @param text
 * @returns
 */
export declare function tinyMDtoHTML(text: string): string;
/**
 * Get the lang value from document or html
 *
 * @returns
 */
export declare function getLangFromDocument(): string;
/**
 * Get the lang value from browser
 *
 * @returns
 */
export declare function getLangFromBrowser(): string;
/**
 * Get the lang
 *
 * @returns
 */
export declare function getLang(): string;
/**
 * Parse object logic of classes to string
 *
 * @param list
 * @returns
 */
export declare function cls(...classes: Array<any>): string;
/**
 * Get or create the x-overlays element container
 *
 * @returns
 */
export declare function getOverlayContainer(): HTMLElement;
/**
 * Get or create the tooltip element to show
 *
 * @returns
 */
export declare function getTooltipElement(): HTMLElement;
/**
 * Get or create the notification container element
 *
 * @returns
 */
export declare function getNotificationContainerElement(position?: NotificationContainerPosition): HTMLElement;
/**
 * Replace element by mapping a object by key, if not exist return the actual value
 *
 * @param dictionary
 * @param value
 * @returns
 */
export declare const getDictionaryElementByValue: (dictionary: any, value: any) => any;
